import { CloudAssembly } from "aws-cdk-lib/cx-api";
import { Stacks } from "../stacks/index.js";
export async function Deploy(opts) {
    const assembly = await (async function () {
        if (opts.from) {
            const result = new CloudAssembly(opts.from);
            return result;
        }
        const fn = await Stacks.build();
        return await Stacks.synth({
            fn
        });
    })();
    await Stacks.deployMany(assembly.stacks);
}
