import chalk from "chalk";
let previous = new Date();
export const Logger = {
    ui(color, ...lines) {
        console.log(chalk[color](lines.join("\n")));
    },
    debug(...parts) {
        const now = new Date();
        const diff = now.getTime() - previous.getTime();
        previous = now;
        console.log(new Date().toISOString(), `+${diff}ms`.padStart(8), "[debug]", ...parts.map(x => {
            if (typeof x === "string")
                return x;
            return JSON.stringify(x);
        }));
    }
};
